Ruby: fiddle_generic Union Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
fiddle_generic Union Reference

`#include <conversions.h>`

## Data Fields
ffi_arg | fffi_arg
ffi_sarg | fffi_sarg
unsigned char | uchar
signed char | schar
unsigned short | ushort
signed short | sshort
unsigned int | uint
signed int | sint
unsigned long | ulong
signed long | slong
float | ffloat
double | ddouble
void * | pointer

## Detailed Description

Definition at line 6 of file conversions.h.

## Field Documentation

## ◆ ddouble

double fiddle_generic::ddouble

Definition at line 19 of file conversions.h.

Referenced by rb_fiddle_generic_to_value(), and rb_fiddle_value_to_generic().

## ◆ fffi_arg

ffi_arg fiddle_generic::fffi_arg

Definition at line 8 of file conversions.h.

Referenced by rb_fiddle_generic_to_value().

## ◆ fffi_sarg

ffi_sarg fiddle_generic::fffi_sarg

Definition at line 9 of file conversions.h.

Referenced by rb_fiddle_generic_to_value().

## ◆ ffloat

float fiddle_generic::ffloat

Definition at line 18 of file conversions.h.

Referenced by rb_fiddle_generic_to_value(), and rb_fiddle_value_to_generic().

## ◆ pointer

void* fiddle_generic::pointer

Definition at line 24 of file conversions.h.

Referenced by rb_fiddle_generic_to_value(), and rb_fiddle_value_to_generic().

## ◆ schar

signed char fiddle_generic::schar

Definition at line 11 of file conversions.h.

Referenced by rb_fiddle_value_to_generic().

## ◆ sint

signed int fiddle_generic::sint

Definition at line 15 of file conversions.h.

Referenced by rb_fiddle_value_to_generic().

## ◆ slong

signed long fiddle_generic::slong

Definition at line 17 of file conversions.h.

Referenced by rb_fiddle_generic_to_value(), and rb_fiddle_value_to_generic().

## ◆ sshort

signed short fiddle_generic::sshort

Definition at line 13 of file conversions.h.

Referenced by rb_fiddle_value_to_generic().

## ◆ uchar

unsigned char fiddle_generic::uchar

Definition at line 10 of file conversions.h.

Referenced by rb_fiddle_value_to_generic().

## ◆ uint

unsigned int fiddle_generic::uint

Definition at line 14 of file conversions.h.

Referenced by rb_fiddle_value_to_generic().

## ◆ ulong

unsigned long fiddle_generic::ulong

Definition at line 16 of file conversions.h.

Referenced by rb_fiddle_generic_to_value(), and rb_fiddle_value_to_generic().

## ◆ ushort

unsigned short fiddle_generic::ushort

Definition at line 12 of file conversions.h.

The documentation for this union was generated from the following file:

- ext/fiddle/conversions.h